]> jfr.im git - irc/gameservirc.git/blob - gameserv/configure
Added a contrib dir with one user submitted patch
[irc/gameservirc.git] / gameserv / configure
1 #! /bin/sh
2
3 # Guess values for system-dependent variables and create Makefiles.
4 # Generated automatically using autoconf version 2.13
5 # Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
6 #
7 # This configure script is free software; the Free Software Foundation
8 # gives unlimited permission to copy, distribute and modify it.
9
10 # Defaults:
11 ac_help=
12 ac_default_prefix=/usr/local
13 # Any additions from configure.in:
14
15 # Initialize some variables set by options.
16 # The variables have the same names as the options, with
17 # dashes changed to underlines.
18 build=NONE
19 cache_file=./config.cache
20 exec_prefix=NONE
21 host=NONE
22 no_create=
23 nonopt=NONE
24 no_recursion=
25 prefix=NONE
26 program_prefix=NONE
27 program_suffix=NONE
28 program_transform_name=s,x,x,
29 silent=
30 site=
31 srcdir=
32 target=NONE
33 verbose=
34 x_includes=NONE
35 x_libraries=NONE
36 bindir='${exec_prefix}/bin'
37 sbindir='${exec_prefix}/sbin'
38 libexecdir='${exec_prefix}/libexec'
39 datadir='${prefix}/share'
40 sysconfdir='${prefix}/etc'
41 sharedstatedir='${prefix}/com'
42 localstatedir='${prefix}/var'
43 libdir='${exec_prefix}/lib'
44 includedir='${prefix}/include'
45 oldincludedir='/usr/include'
46 infodir='${prefix}/info'
47 mandir='${prefix}/man'
48
49 # Initialize some other variables.
50 subdirs=
51 MFLAGS= MAKEFLAGS=
52 SHELL=${CONFIG_SHELL-/bin/sh}
53 # Maximum number of lines to put in a shell here document.
54 ac_max_here_lines=12
55
56 ac_prev=
57 for ac_option
58 do
59
60 # If the previous option needs an argument, assign it.
61 if test -n "$ac_prev"; then
62 eval "$ac_prev=\$ac_option"
63 ac_prev=
64 continue
65 fi
66
67 case "$ac_option" in
68 -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
69 *) ac_optarg= ;;
70 esac
71
72 # Accept the important Cygnus configure options, so we can diagnose typos.
73
74 case "$ac_option" in
75
76 -bindir | --bindir | --bindi | --bind | --bin | --bi)
77 ac_prev=bindir ;;
78 -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
79 bindir="$ac_optarg" ;;
80
81 -build | --build | --buil | --bui | --bu)
82 ac_prev=build ;;
83 -build=* | --build=* | --buil=* | --bui=* | --bu=*)
84 build="$ac_optarg" ;;
85
86 -cache-file | --cache-file | --cache-fil | --cache-fi \
87 | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
88 ac_prev=cache_file ;;
89 -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
90 | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
91 cache_file="$ac_optarg" ;;
92
93 -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
94 ac_prev=datadir ;;
95 -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
96 | --da=*)
97 datadir="$ac_optarg" ;;
98
99 -disable-* | --disable-*)
100 ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
101 # Reject names that are not valid shell variable names.
102 if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
103 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
104 fi
105 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
106 eval "enable_${ac_feature}=no" ;;
107
108 -enable-* | --enable-*)
109 ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
110 # Reject names that are not valid shell variable names.
111 if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
112 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
113 fi
114 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
115 case "$ac_option" in
116 *=*) ;;
117 *) ac_optarg=yes ;;
118 esac
119 eval "enable_${ac_feature}='$ac_optarg'" ;;
120
121 -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
122 | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
123 | --exec | --exe | --ex)
124 ac_prev=exec_prefix ;;
125 -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
126 | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
127 | --exec=* | --exe=* | --ex=*)
128 exec_prefix="$ac_optarg" ;;
129
130 -gas | --gas | --ga | --g)
131 # Obsolete; use --with-gas.
132 with_gas=yes ;;
133
134 -help | --help | --hel | --he)
135 # Omit some internal or obsolete options to make the list less imposing.
136 # This message is too long to be a string in the A/UX 3.1 sh.
137 cat << EOF
138 Usage: configure [options] [host]
139 Options: [defaults in brackets after descriptions]
140 Configuration:
141 --cache-file=FILE cache test results in FILE
142 --help print this message
143 --no-create do not create output files
144 --quiet, --silent do not print \`checking...' messages
145 --version print the version of autoconf that created configure
146 Directory and file names:
147 --prefix=PREFIX install architecture-independent files in PREFIX
148 [$ac_default_prefix]
149 --exec-prefix=EPREFIX install architecture-dependent files in EPREFIX
150 [same as prefix]
151 --bindir=DIR user executables in DIR [EPREFIX/bin]
152 --sbindir=DIR system admin executables in DIR [EPREFIX/sbin]
153 --libexecdir=DIR program executables in DIR [EPREFIX/libexec]
154 --datadir=DIR read-only architecture-independent data in DIR
155 [PREFIX/share]
156 --sysconfdir=DIR read-only single-machine data in DIR [PREFIX/etc]
157 --sharedstatedir=DIR modifiable architecture-independent data in DIR
158 [PREFIX/com]
159 --localstatedir=DIR modifiable single-machine data in DIR [PREFIX/var]
160 --libdir=DIR object code libraries in DIR [EPREFIX/lib]
161 --includedir=DIR C header files in DIR [PREFIX/include]
162 --oldincludedir=DIR C header files for non-gcc in DIR [/usr/include]
163 --infodir=DIR info documentation in DIR [PREFIX/info]
164 --mandir=DIR man documentation in DIR [PREFIX/man]
165 --srcdir=DIR find the sources in DIR [configure dir or ..]
166 --program-prefix=PREFIX prepend PREFIX to installed program names
167 --program-suffix=SUFFIX append SUFFIX to installed program names
168 --program-transform-name=PROGRAM
169 run sed PROGRAM on installed program names
170 EOF
171 cat << EOF
172 Host type:
173 --build=BUILD configure for building on BUILD [BUILD=HOST]
174 --host=HOST configure for HOST [guessed]
175 --target=TARGET configure for TARGET [TARGET=HOST]
176 Features and packages:
177 --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no)
178 --enable-FEATURE[=ARG] include FEATURE [ARG=yes]
179 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
180 --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
181 --x-includes=DIR X include files are in DIR
182 --x-libraries=DIR X library files are in DIR
183 EOF
184 if test -n "$ac_help"; then
185 echo "--enable and --with options recognized:$ac_help"
186 fi
187 exit 0 ;;
188
189 -host | --host | --hos | --ho)
190 ac_prev=host ;;
191 -host=* | --host=* | --hos=* | --ho=*)
192 host="$ac_optarg" ;;
193
194 -includedir | --includedir | --includedi | --included | --include \
195 | --includ | --inclu | --incl | --inc)
196 ac_prev=includedir ;;
197 -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
198 | --includ=* | --inclu=* | --incl=* | --inc=*)
199 includedir="$ac_optarg" ;;
200
201 -infodir | --infodir | --infodi | --infod | --info | --inf)
202 ac_prev=infodir ;;
203 -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
204 infodir="$ac_optarg" ;;
205
206 -libdir | --libdir | --libdi | --libd)
207 ac_prev=libdir ;;
208 -libdir=* | --libdir=* | --libdi=* | --libd=*)
209 libdir="$ac_optarg" ;;
210
211 -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
212 | --libexe | --libex | --libe)
213 ac_prev=libexecdir ;;
214 -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
215 | --libexe=* | --libex=* | --libe=*)
216 libexecdir="$ac_optarg" ;;
217
218 -localstatedir | --localstatedir | --localstatedi | --localstated \
219 | --localstate | --localstat | --localsta | --localst \
220 | --locals | --local | --loca | --loc | --lo)
221 ac_prev=localstatedir ;;
222 -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
223 | --localstate=* | --localstat=* | --localsta=* | --localst=* \
224 | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
225 localstatedir="$ac_optarg" ;;
226
227 -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
228 ac_prev=mandir ;;
229 -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
230 mandir="$ac_optarg" ;;
231
232 -nfp | --nfp | --nf)
233 # Obsolete; use --without-fp.
234 with_fp=no ;;
235
236 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
237 | --no-cr | --no-c)
238 no_create=yes ;;
239
240 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
241 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
242 no_recursion=yes ;;
243
244 -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
245 | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
246 | --oldin | --oldi | --old | --ol | --o)
247 ac_prev=oldincludedir ;;
248 -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
249 | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
250 | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
251 oldincludedir="$ac_optarg" ;;
252
253 -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
254 ac_prev=prefix ;;
255 -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
256 prefix="$ac_optarg" ;;
257
258 -program-prefix | --program-prefix | --program-prefi | --program-pref \
259 | --program-pre | --program-pr | --program-p)
260 ac_prev=program_prefix ;;
261 -program-prefix=* | --program-prefix=* | --program-prefi=* \
262 | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
263 program_prefix="$ac_optarg" ;;
264
265 -program-suffix | --program-suffix | --program-suffi | --program-suff \
266 | --program-suf | --program-su | --program-s)
267 ac_prev=program_suffix ;;
268 -program-suffix=* | --program-suffix=* | --program-suffi=* \
269 | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
270 program_suffix="$ac_optarg" ;;
271
272 -program-transform-name | --program-transform-name \
273 | --program-transform-nam | --program-transform-na \
274 | --program-transform-n | --program-transform- \
275 | --program-transform | --program-transfor \
276 | --program-transfo | --program-transf \
277 | --program-trans | --program-tran \
278 | --progr-tra | --program-tr | --program-t)
279 ac_prev=program_transform_name ;;
280 -program-transform-name=* | --program-transform-name=* \
281 | --program-transform-nam=* | --program-transform-na=* \
282 | --program-transform-n=* | --program-transform-=* \
283 | --program-transform=* | --program-transfor=* \
284 | --program-transfo=* | --program-transf=* \
285 | --program-trans=* | --program-tran=* \
286 | --progr-tra=* | --program-tr=* | --program-t=*)
287 program_transform_name="$ac_optarg" ;;
288
289 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
290 | -silent | --silent | --silen | --sile | --sil)
291 silent=yes ;;
292
293 -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
294 ac_prev=sbindir ;;
295 -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
296 | --sbi=* | --sb=*)
297 sbindir="$ac_optarg" ;;
298
299 -sharedstatedir | --sharedstatedir | --sharedstatedi \
300 | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
301 | --sharedst | --shareds | --shared | --share | --shar \
302 | --sha | --sh)
303 ac_prev=sharedstatedir ;;
304 -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
305 | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
306 | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
307 | --sha=* | --sh=*)
308 sharedstatedir="$ac_optarg" ;;
309
310 -site | --site | --sit)
311 ac_prev=site ;;
312 -site=* | --site=* | --sit=*)
313 site="$ac_optarg" ;;
314
315 -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
316 ac_prev=srcdir ;;
317 -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
318 srcdir="$ac_optarg" ;;
319
320 -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
321 | --syscon | --sysco | --sysc | --sys | --sy)
322 ac_prev=sysconfdir ;;
323 -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
324 | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
325 sysconfdir="$ac_optarg" ;;
326
327 -target | --target | --targe | --targ | --tar | --ta | --t)
328 ac_prev=target ;;
329 -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
330 target="$ac_optarg" ;;
331
332 -v | -verbose | --verbose | --verbos | --verbo | --verb)
333 verbose=yes ;;
334
335 -version | --version | --versio | --versi | --vers)
336 echo "configure generated by autoconf version 2.13"
337 exit 0 ;;
338
339 -with-* | --with-*)
340 ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
341 # Reject names that are not valid shell variable names.
342 if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
343 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
344 fi
345 ac_package=`echo $ac_package| sed 's/-/_/g'`
346 case "$ac_option" in
347 *=*) ;;
348 *) ac_optarg=yes ;;
349 esac
350 eval "with_${ac_package}='$ac_optarg'" ;;
351
352 -without-* | --without-*)
353 ac_package=`echo $ac_option|sed -e 's/-*without-//'`
354 # Reject names that are not valid shell variable names.
355 if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
356 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
357 fi
358 ac_package=`echo $ac_package| sed 's/-/_/g'`
359 eval "with_${ac_package}=no" ;;
360
361 --x)
362 # Obsolete; use --with-x.
363 with_x=yes ;;
364
365 -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
366 | --x-incl | --x-inc | --x-in | --x-i)
367 ac_prev=x_includes ;;
368 -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
369 | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
370 x_includes="$ac_optarg" ;;
371
372 -x-libraries | --x-libraries | --x-librarie | --x-librari \
373 | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
374 ac_prev=x_libraries ;;
375 -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
376 | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
377 x_libraries="$ac_optarg" ;;
378
379 -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
380 ;;
381
382 *)
383 if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
384 echo "configure: warning: $ac_option: invalid host type" 1>&2
385 fi
386 if test "x$nonopt" != xNONE; then
387 { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
388 fi
389 nonopt="$ac_option"
390 ;;
391
392 esac
393 done
394
395 if test -n "$ac_prev"; then
396 { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
397 fi
398
399 trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
400
401 # File descriptor usage:
402 # 0 standard input
403 # 1 file creation
404 # 2 errors and warnings
405 # 3 some systems may open it to /dev/tty
406 # 4 used on the Kubota Titan
407 # 6 checking for... messages and results
408 # 5 compiler messages saved in config.log
409 if test "$silent" = yes; then
410 exec 6>/dev/null
411 else
412 exec 6>&1
413 fi
414 exec 5>./config.log
415
416 echo "\
417 This file contains any messages produced by compilers while
418 running configure, to aid debugging if configure makes a mistake.
419 " 1>&5
420
421 # Strip out --no-create and --no-recursion so they do not pile up.
422 # Also quote any args containing shell metacharacters.
423 ac_configure_args=
424 for ac_arg
425 do
426 case "$ac_arg" in
427 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
428 | --no-cr | --no-c) ;;
429 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
430 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
431 *" "*|*" "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
432 ac_configure_args="$ac_configure_args '$ac_arg'" ;;
433 *) ac_configure_args="$ac_configure_args $ac_arg" ;;
434 esac
435 done
436
437 # NLS nuisances.
438 # Only set these to C if already set. These must not be set unconditionally
439 # because not all systems understand e.g. LANG=C (notably SCO).
440 # Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
441 # Non-C LC_CTYPE values break the ctype check.
442 if test "${LANG+set}" = set; then LANG=C; export LANG; fi
443 if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
444 if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
445 if test "${LC_CTYPE+set}" = set; then LC_CTYPE=C; export LC_CTYPE; fi
446
447 # confdefs.h avoids OS command line length limits that DEFS can exceed.
448 rm -rf conftest* confdefs.h
449 # AIX cpp loses on an empty file, so make sure it contains at least a newline.
450 echo > confdefs.h
451
452 # A filename unique to this package, relative to the directory that
453 # configure is in, which we can look for to find out if srcdir is correct.
454 ac_unique_file=aClient.cpp
455
456 # Find the source files, if location was not specified.
457 if test -z "$srcdir"; then
458 ac_srcdir_defaulted=yes
459 # Try the directory containing this script, then its parent.
460 ac_prog=$0
461 ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
462 test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
463 srcdir=$ac_confdir
464 if test ! -r $srcdir/$ac_unique_file; then
465 srcdir=..
466 fi
467 else
468 ac_srcdir_defaulted=no
469 fi
470 if test ! -r $srcdir/$ac_unique_file; then
471 if test "$ac_srcdir_defaulted" = yes; then
472 { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
473 else
474 { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
475 fi
476 fi
477 srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
478
479 # Prefer explicitly selected file to automatically selected ones.
480 if test -z "$CONFIG_SITE"; then
481 if test "x$prefix" != xNONE; then
482 CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
483 else
484 CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
485 fi
486 fi
487 for ac_site_file in $CONFIG_SITE; do
488 if test -r "$ac_site_file"; then
489 echo "loading site script $ac_site_file"
490 . "$ac_site_file"
491 fi
492 done
493
494 if test -r "$cache_file"; then
495 echo "loading cache $cache_file"
496 . $cache_file
497 else
498 echo "creating cache $cache_file"
499 > $cache_file
500 fi
501
502 ac_ext=c
503 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
504 ac_cpp='$CPP $CPPFLAGS'
505 ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
506 ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
507 cross_compiling=$ac_cv_prog_cc_cross
508
509 ac_exeext=
510 ac_objext=o
511 if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
512 # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
513 if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
514 ac_n= ac_c='
515 ' ac_t=' '
516 else
517 ac_n=-n ac_c= ac_t=
518 fi
519 else
520 ac_n= ac_c='\c' ac_t=
521 fi
522
523
524
525
526
527 for ac_prog in $CCC c++ g++ gcc CC cxx cc++ cl
528 do
529 # Extract the first word of "$ac_prog", so it can be a program name with args.
530 set dummy $ac_prog; ac_word=$2
531 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
532 echo "configure:533: checking for $ac_word" >&5
533 if eval "test \"`echo '$''{'ac_cv_prog_CXX'+set}'`\" = set"; then
534 echo $ac_n "(cached) $ac_c" 1>&6
535 else
536 if test -n "$CXX"; then
537 ac_cv_prog_CXX="$CXX" # Let the user override the test.
538 else
539 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
540 ac_dummy="$PATH"
541 for ac_dir in $ac_dummy; do
542 test -z "$ac_dir" && ac_dir=.
543 if test -f $ac_dir/$ac_word; then
544 ac_cv_prog_CXX="$ac_prog"
545 break
546 fi
547 done
548 IFS="$ac_save_ifs"
549 fi
550 fi
551 CXX="$ac_cv_prog_CXX"
552 if test -n "$CXX"; then
553 echo "$ac_t""$CXX" 1>&6
554 else
555 echo "$ac_t""no" 1>&6
556 fi
557
558 test -n "$CXX" && break
559 done
560 test -n "$CXX" || CXX="gcc"
561
562
563 echo $ac_n "checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) works""... $ac_c" 1>&6
564 echo "configure:565: checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) works" >&5
565
566 ac_ext=C
567 # CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
568 ac_cpp='$CXXCPP $CPPFLAGS'
569 ac_compile='${CXX-g++} -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
570 ac_link='${CXX-g++} -o conftest${ac_exeext} $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
571 cross_compiling=$ac_cv_prog_cxx_cross
572
573 cat > conftest.$ac_ext << EOF
574
575 #line 576 "configure"
576 #include "confdefs.h"
577
578 int main(){return(0);}
579 EOF
580 if { (eval echo configure:581: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
581 ac_cv_prog_cxx_works=yes
582 # If we can't run a trivial program, we are probably using a cross compiler.
583 if (./conftest; exit) 2>/dev/null; then
584 ac_cv_prog_cxx_cross=no
585 else
586 ac_cv_prog_cxx_cross=yes
587 fi
588 else
589 echo "configure: failed program was:" >&5
590 cat conftest.$ac_ext >&5
591 ac_cv_prog_cxx_works=no
592 fi
593 rm -fr conftest*
594 ac_ext=c
595 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
596 ac_cpp='$CPP $CPPFLAGS'
597 ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
598 ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
599 cross_compiling=$ac_cv_prog_cc_cross
600
601 echo "$ac_t""$ac_cv_prog_cxx_works" 1>&6
602 if test $ac_cv_prog_cxx_works = no; then
603 { echo "configure: error: installation or configuration problem: C++ compiler cannot create executables." 1>&2; exit 1; }
604 fi
605 echo $ac_n "checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
606 echo "configure:607: checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) is a cross-compiler" >&5
607 echo "$ac_t""$ac_cv_prog_cxx_cross" 1>&6
608 cross_compiling=$ac_cv_prog_cxx_cross
609
610 echo $ac_n "checking whether we are using GNU C++""... $ac_c" 1>&6
611 echo "configure:612: checking whether we are using GNU C++" >&5
612 if eval "test \"`echo '$''{'ac_cv_prog_gxx'+set}'`\" = set"; then
613 echo $ac_n "(cached) $ac_c" 1>&6
614 else
615 cat > conftest.C <<EOF
616 #ifdef __GNUC__
617 yes;
618 #endif
619 EOF
620 if { ac_try='${CXX-g++} -E conftest.C'; { (eval echo configure:621: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
621 ac_cv_prog_gxx=yes
622 else
623 ac_cv_prog_gxx=no
624 fi
625 fi
626
627 echo "$ac_t""$ac_cv_prog_gxx" 1>&6
628
629 if test $ac_cv_prog_gxx = yes; then
630 GXX=yes
631 else
632 GXX=
633 fi
634
635 ac_test_CXXFLAGS="${CXXFLAGS+set}"
636 ac_save_CXXFLAGS="$CXXFLAGS"
637 CXXFLAGS=
638 echo $ac_n "checking whether ${CXX-g++} accepts -g""... $ac_c" 1>&6
639 echo "configure:640: checking whether ${CXX-g++} accepts -g" >&5
640 if eval "test \"`echo '$''{'ac_cv_prog_cxx_g'+set}'`\" = set"; then
641 echo $ac_n "(cached) $ac_c" 1>&6
642 else
643 echo 'void f(){}' > conftest.cc
644 if test -z "`${CXX-g++} -g -c conftest.cc 2>&1`"; then
645 ac_cv_prog_cxx_g=yes
646 else
647 ac_cv_prog_cxx_g=no
648 fi
649 rm -f conftest*
650
651 fi
652
653 echo "$ac_t""$ac_cv_prog_cxx_g" 1>&6
654 if test "$ac_test_CXXFLAGS" = set; then
655 CXXFLAGS="$ac_save_CXXFLAGS"
656 elif test $ac_cv_prog_cxx_g = yes; then
657 if test "$GXX" = yes; then
658 CXXFLAGS="-g -O2"
659 else
660 CXXFLAGS="-g"
661 fi
662 else
663 if test "$GXX" = yes; then
664 CXXFLAGS="-O2"
665 else
666 CXXFLAGS=
667 fi
668 fi
669
670
671 echo $ac_n "checking for crypt in -lcrypt""... $ac_c" 1>&6
672 echo "configure:673: checking for crypt in -lcrypt" >&5
673 ac_lib_var=`echo crypt'_'crypt | sed 'y%./+-%__p_%'`
674 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
675 echo $ac_n "(cached) $ac_c" 1>&6
676 else
677 ac_save_LIBS="$LIBS"
678 LIBS="-lcrypt $LIBS"
679 cat > conftest.$ac_ext <<EOF
680 #line 681 "configure"
681 #include "confdefs.h"
682 /* Override any gcc2 internal prototype to avoid an error. */
683 /* We use char because int might match the return type of a gcc2
684 builtin and then its argument prototype would still apply. */
685 char crypt();
686
687 int main() {
688 crypt()
689 ; return 0; }
690 EOF
691 if { (eval echo configure:692: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
692 rm -rf conftest*
693 eval "ac_cv_lib_$ac_lib_var=yes"
694 else
695 echo "configure: failed program was:" >&5
696 cat conftest.$ac_ext >&5
697 rm -rf conftest*
698 eval "ac_cv_lib_$ac_lib_var=no"
699 fi
700 rm -f conftest*
701 LIBS="$ac_save_LIBS"
702
703 fi
704 if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
705 echo "$ac_t""yes" 1>&6
706 ac_tr_lib=HAVE_LIB`echo crypt | sed -e 's/[^a-zA-Z0-9_]/_/g' \
707 -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
708 cat >> confdefs.h <<EOF
709 #define $ac_tr_lib 1
710 EOF
711
712 LIBS="-lcrypt $LIBS"
713
714 else
715 echo "$ac_t""no" 1>&6
716 fi
717
718
719 echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
720 echo "configure:721: checking how to run the C preprocessor" >&5
721 # On Suns, sometimes $CPP names a directory.
722 if test -n "$CPP" && test -d "$CPP"; then
723 CPP=
724 fi
725 if test -z "$CPP"; then
726 if eval "test \"`echo '$''{'ac_cv_prog_CPP'+set}'`\" = set"; then
727 echo $ac_n "(cached) $ac_c" 1>&6
728 else
729 # This must be in double quotes, not single quotes, because CPP may get
730 # substituted into the Makefile and "${CC-cc}" will confuse make.
731 CPP="${CC-cc} -E"
732 # On the NeXT, cc -E runs the code through the compiler's parser,
733 # not just through cpp.
734 cat > conftest.$ac_ext <<EOF
735 #line 736 "configure"
736 #include "confdefs.h"
737 #include <assert.h>
738 Syntax Error
739 EOF
740 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
741 { (eval echo configure:742: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
742 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
743 if test -z "$ac_err"; then
744 :
745 else
746 echo "$ac_err" >&5
747 echo "configure: failed program was:" >&5
748 cat conftest.$ac_ext >&5
749 rm -rf conftest*
750 CPP="${CC-cc} -E -traditional-cpp"
751 cat > conftest.$ac_ext <<EOF
752 #line 753 "configure"
753 #include "confdefs.h"
754 #include <assert.h>
755 Syntax Error
756 EOF
757 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
758 { (eval echo configure:759: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
759 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
760 if test -z "$ac_err"; then
761 :
762 else
763 echo "$ac_err" >&5
764 echo "configure: failed program was:" >&5
765 cat conftest.$ac_ext >&5
766 rm -rf conftest*
767 CPP="${CC-cc} -nologo -E"
768 cat > conftest.$ac_ext <<EOF
769 #line 770 "configure"
770 #include "confdefs.h"
771 #include <assert.h>
772 Syntax Error
773 EOF
774 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
775 { (eval echo configure:776: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
776 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
777 if test -z "$ac_err"; then
778 :
779 else
780 echo "$ac_err" >&5
781 echo "configure: failed program was:" >&5
782 cat conftest.$ac_ext >&5
783 rm -rf conftest*
784 CPP=/lib/cpp
785 fi
786 rm -f conftest*
787 fi
788 rm -f conftest*
789 fi
790 rm -f conftest*
791 ac_cv_prog_CPP="$CPP"
792 fi
793 CPP="$ac_cv_prog_CPP"
794 else
795 ac_cv_prog_CPP="$CPP"
796 fi
797 echo "$ac_t""$CPP" 1>&6
798
799 echo $ac_n "checking for ANSI C header files""... $ac_c" 1>&6
800 echo "configure:801: checking for ANSI C header files" >&5
801 if eval "test \"`echo '$''{'ac_cv_header_stdc'+set}'`\" = set"; then
802 echo $ac_n "(cached) $ac_c" 1>&6
803 else
804 cat > conftest.$ac_ext <<EOF
805 #line 806 "configure"
806 #include "confdefs.h"
807 #include <stdlib.h>
808 #include <stdarg.h>
809 #include <string.h>
810 #include <float.h>
811 EOF
812 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
813 { (eval echo configure:814: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
814 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
815 if test -z "$ac_err"; then
816 rm -rf conftest*
817 ac_cv_header_stdc=yes
818 else
819 echo "$ac_err" >&5
820 echo "configure: failed program was:" >&5
821 cat conftest.$ac_ext >&5
822 rm -rf conftest*
823 ac_cv_header_stdc=no
824 fi
825 rm -f conftest*
826
827 if test $ac_cv_header_stdc = yes; then
828 # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
829 cat > conftest.$ac_ext <<EOF
830 #line 831 "configure"
831 #include "confdefs.h"
832 #include <string.h>
833 EOF
834 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
835 egrep "memchr" >/dev/null 2>&1; then
836 :
837 else
838 rm -rf conftest*
839 ac_cv_header_stdc=no
840 fi
841 rm -f conftest*
842
843 fi
844
845 if test $ac_cv_header_stdc = yes; then
846 # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
847 cat > conftest.$ac_ext <<EOF
848 #line 849 "configure"
849 #include "confdefs.h"
850 #include <stdlib.h>
851 EOF
852 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
853 egrep "free" >/dev/null 2>&1; then
854 :
855 else
856 rm -rf conftest*
857 ac_cv_header_stdc=no
858 fi
859 rm -f conftest*
860
861 fi
862
863 if test $ac_cv_header_stdc = yes; then
864 # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
865 if test "$cross_compiling" = yes; then
866 :
867 else
868 cat > conftest.$ac_ext <<EOF
869 #line 870 "configure"
870 #include "confdefs.h"
871 #include <ctype.h>
872 #define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
873 #define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
874 #define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
875 int main () { int i; for (i = 0; i < 256; i++)
876 if (XOR (islower (i), ISLOWER (i)) || toupper (i) != TOUPPER (i)) exit(2);
877 exit (0); }
878
879 EOF
880 if { (eval echo configure:881: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
881 then
882 :
883 else
884 echo "configure: failed program was:" >&5
885 cat conftest.$ac_ext >&5
886 rm -fr conftest*
887 ac_cv_header_stdc=no
888 fi
889 rm -fr conftest*
890 fi
891
892 fi
893 fi
894
895 echo "$ac_t""$ac_cv_header_stdc" 1>&6
896 if test $ac_cv_header_stdc = yes; then
897 cat >> confdefs.h <<\EOF
898 #define STDC_HEADERS 1
899 EOF
900
901 fi
902
903 for ac_hdr in limits.h unistd.h crypt.h
904 do
905 ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
906 echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
907 echo "configure:908: checking for $ac_hdr" >&5
908 if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
909 echo $ac_n "(cached) $ac_c" 1>&6
910 else
911 cat > conftest.$ac_ext <<EOF
912 #line 913 "configure"
913 #include "confdefs.h"
914 #include <$ac_hdr>
915 EOF
916 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
917 { (eval echo configure:918: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
918 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
919 if test -z "$ac_err"; then
920 rm -rf conftest*
921 eval "ac_cv_header_$ac_safe=yes"
922 else
923 echo "$ac_err" >&5
924 echo "configure: failed program was:" >&5
925 cat conftest.$ac_ext >&5
926 rm -rf conftest*
927 eval "ac_cv_header_$ac_safe=no"
928 fi
929 rm -f conftest*
930 fi
931 if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
932 echo "$ac_t""yes" 1>&6
933 ac_tr_hdr=HAVE_`echo $ac_hdr | sed 'y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%'`
934 cat >> confdefs.h <<EOF
935 #define $ac_tr_hdr 1
936 EOF
937
938 else
939 echo "$ac_t""no" 1>&6
940 fi
941 done
942
943
944 echo $ac_n "checking for working const""... $ac_c" 1>&6
945 echo "configure:946: checking for working const" >&5
946 if eval "test \"`echo '$''{'ac_cv_c_const'+set}'`\" = set"; then
947 echo $ac_n "(cached) $ac_c" 1>&6
948 else
949 cat > conftest.$ac_ext <<EOF
950 #line 951 "configure"
951 #include "confdefs.h"
952
953 int main() {
954
955 /* Ultrix mips cc rejects this. */
956 typedef int charset[2]; const charset x;
957 /* SunOS 4.1.1 cc rejects this. */
958 char const *const *ccp;
959 char **p;
960 /* NEC SVR4.0.2 mips cc rejects this. */
961 struct point {int x, y;};
962 static struct point const zero = {0,0};
963 /* AIX XL C 1.02.0.0 rejects this.
964 It does not let you subtract one const X* pointer from another in an arm
965 of an if-expression whose if-part is not a constant expression */
966 const char *g = "string";
967 ccp = &g + (g ? g-g : 0);
968 /* HPUX 7.0 cc rejects these. */
969 ++ccp;
970 p = (char**) ccp;
971 ccp = (char const *const *) p;
972 { /* SCO 3.2v4 cc rejects this. */
973 char *t;
974 char const *s = 0 ? (char *) 0 : (char const *) 0;
975
976 *t++ = 0;
977 }
978 { /* Someone thinks the Sun supposedly-ANSI compiler will reject this. */
979 int x[] = {25, 17};
980 const int *foo = &x[0];
981 ++foo;
982 }
983 { /* Sun SC1.0 ANSI compiler rejects this -- but not the above. */
984 typedef const int *iptr;
985 iptr p = 0;
986 ++p;
987 }
988 { /* AIX XL C 1.02.0.0 rejects this saying
989 "k.c", line 2.27: 1506-025 (S) Operand must be a modifiable lvalue. */
990 struct s { int j; const int *ap[3]; };
991 struct s *b; b->j = 5;
992 }
993 { /* ULTRIX-32 V3.1 (Rev 9) vcc rejects this */
994 const int foo = 10;
995 }
996
997 ; return 0; }
998 EOF
999 if { (eval echo configure:1000: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1000 rm -rf conftest*
1001 ac_cv_c_const=yes
1002 else
1003 echo "configure: failed program was:" >&5
1004 cat conftest.$ac_ext >&5
1005 rm -rf conftest*
1006 ac_cv_c_const=no
1007 fi
1008 rm -f conftest*
1009 fi
1010
1011 echo "$ac_t""$ac_cv_c_const" 1>&6
1012 if test $ac_cv_c_const = no; then
1013 cat >> confdefs.h <<\EOF
1014 #define const
1015 EOF
1016
1017 fi
1018
1019 echo $ac_n "checking for size_t""... $ac_c" 1>&6
1020 echo "configure:1021: checking for size_t" >&5
1021 if eval "test \"`echo '$''{'ac_cv_type_size_t'+set}'`\" = set"; then
1022 echo $ac_n "(cached) $ac_c" 1>&6
1023 else
1024 cat > conftest.$ac_ext <<EOF
1025 #line 1026 "configure"
1026 #include "confdefs.h"
1027 #include <sys/types.h>
1028 #if STDC_HEADERS
1029 #include <stdlib.h>
1030 #include <stddef.h>
1031 #endif
1032 EOF
1033 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
1034 egrep "(^|[^a-zA-Z_0-9])size_t[^a-zA-Z_0-9]" >/dev/null 2>&1; then
1035 rm -rf conftest*
1036 ac_cv_type_size_t=yes
1037 else
1038 rm -rf conftest*
1039 ac_cv_type_size_t=no
1040 fi
1041 rm -f conftest*
1042
1043 fi
1044 echo "$ac_t""$ac_cv_type_size_t" 1>&6
1045 if test $ac_cv_type_size_t = no; then
1046 cat >> confdefs.h <<\EOF
1047 #define size_t unsigned
1048 EOF
1049
1050 fi
1051
1052
1053 for ac_func in socket strcspn strspn strtol strtok
1054 do
1055 echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
1056 echo "configure:1057: checking for $ac_func" >&5
1057 if eval "test \"`echo '$''{'ac_cv_func_$ac_func'+set}'`\" = set"; then
1058 echo $ac_n "(cached) $ac_c" 1>&6
1059 else
1060 cat > conftest.$ac_ext <<EOF
1061 #line 1062 "configure"
1062 #include "confdefs.h"
1063 /* System header to define __stub macros and hopefully few prototypes,
1064 which can conflict with char $ac_func(); below. */
1065 #include <assert.h>
1066 /* Override any gcc2 internal prototype to avoid an error. */
1067 /* We use char because int might match the return type of a gcc2
1068 builtin and then its argument prototype would still apply. */
1069 char $ac_func();
1070
1071 int main() {
1072
1073 /* The GNU C library defines this for functions which it implements
1074 to always fail with ENOSYS. Some functions are actually named
1075 something starting with __ and the normal name is an alias. */
1076 #if defined (__stub_$ac_func) || defined (__stub___$ac_func)
1077 choke me
1078 #else
1079 $ac_func();
1080 #endif
1081
1082 ; return 0; }
1083 EOF
1084 if { (eval echo configure:1085: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1085 rm -rf conftest*
1086 eval "ac_cv_func_$ac_func=yes"
1087 else
1088 echo "configure: failed program was:" >&5
1089 cat conftest.$ac_ext >&5
1090 rm -rf conftest*
1091 eval "ac_cv_func_$ac_func=no"
1092 fi
1093 rm -f conftest*
1094 fi
1095
1096 if eval "test \"`echo '$ac_cv_func_'$ac_func`\" = yes"; then
1097 echo "$ac_t""yes" 1>&6
1098 ac_tr_func=HAVE_`echo $ac_func | tr 'abcdefghijklmnopqrstuvwxyz' 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'`
1099 cat >> confdefs.h <<EOF
1100 #define $ac_tr_func 1
1101 EOF
1102
1103 else
1104 echo "$ac_t""no" 1>&6
1105 fi
1106 done
1107
1108
1109 trap '' 1 2 15
1110 cat > confcache <<\EOF
1111 # This file is a shell script that caches the results of configure
1112 # tests run on this system so they can be shared between configure
1113 # scripts and configure runs. It is not useful on other systems.
1114 # If it contains results you don't want to keep, you may remove or edit it.
1115 #
1116 # By default, configure uses ./config.cache as the cache file,
1117 # creating it if it does not exist already. You can give configure
1118 # the --cache-file=FILE option to use a different cache file; that is
1119 # what configure does when it calls configure scripts in
1120 # subdirectories, so they share the cache.
1121 # Giving --cache-file=/dev/null disables caching, for debugging configure.
1122 # config.status only pays attention to the cache file if you give it the
1123 # --recheck option to rerun configure.
1124 #
1125 EOF
1126 # The following way of writing the cache mishandles newlines in values,
1127 # but we know of no workaround that is simple, portable, and efficient.
1128 # So, don't put newlines in cache variables' values.
1129 # Ultrix sh set writes to stderr and can't be redirected directly,
1130 # and sets the high bit in the cache file unless we assign to the vars.
1131 (set) 2>&1 |
1132 case `(ac_space=' '; set | grep ac_space) 2>&1` in
1133 *ac_space=\ *)
1134 # `set' does not quote correctly, so add quotes (double-quote substitution
1135 # turns \\\\ into \\, and sed turns \\ into \).
1136 sed -n \
1137 -e "s/'/'\\\\''/g" \
1138 -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
1139 ;;
1140 *)
1141 # `set' quotes correctly as required by POSIX, so do not add quotes.
1142 sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
1143 ;;
1144 esac >> confcache
1145 if cmp -s $cache_file confcache; then
1146 :
1147 else
1148 if test -w $cache_file; then
1149 echo "updating cache $cache_file"
1150 cat confcache > $cache_file
1151 else
1152 echo "not updating unwritable cache $cache_file"
1153 fi
1154 fi
1155 rm -f confcache
1156
1157 trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
1158
1159 test "x$prefix" = xNONE && prefix=$ac_default_prefix
1160 # Let make expand exec_prefix.
1161 test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
1162
1163 # Any assignment to VPATH causes Sun make to only execute
1164 # the first set of double-colon rules, so remove it if not needed.
1165 # If there is a colon in the path, we need to keep it.
1166 if test "x$srcdir" = x.; then
1167 ac_vpsub='/^[ ]*VPATH[ ]*=[^:]*$/d'
1168 fi
1169
1170 trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
1171
1172 DEFS=-DHAVE_CONFIG_H
1173
1174 # Without the "./", some shells look in PATH for config.status.
1175 : ${CONFIG_STATUS=./config.status}
1176
1177 echo creating $CONFIG_STATUS
1178 rm -f $CONFIG_STATUS
1179 cat > $CONFIG_STATUS <<EOF
1180 #! /bin/sh
1181 # Generated automatically by configure.
1182 # Run this file to recreate the current configuration.
1183 # This directory was configured as follows,
1184 # on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
1185 #
1186 # $0 $ac_configure_args
1187 #
1188 # Compiler output produced by configure, useful for debugging
1189 # configure, is in ./config.log if it exists.
1190
1191 ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
1192 for ac_option
1193 do
1194 case "\$ac_option" in
1195 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
1196 echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
1197 exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
1198 -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
1199 echo "$CONFIG_STATUS generated by autoconf version 2.13"
1200 exit 0 ;;
1201 -help | --help | --hel | --he | --h)
1202 echo "\$ac_cs_usage"; exit 0 ;;
1203 *) echo "\$ac_cs_usage"; exit 1 ;;
1204 esac
1205 done
1206
1207 ac_given_srcdir=$srcdir
1208
1209 trap 'rm -fr `echo "Makefile config.h" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
1210 EOF
1211 cat >> $CONFIG_STATUS <<EOF
1212
1213 # Protect against being on the right side of a sed subst in config.status.
1214 sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
1215 s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
1216 $ac_vpsub
1217 $extrasub
1218 s%@SHELL@%$SHELL%g
1219 s%@CFLAGS@%$CFLAGS%g
1220 s%@CPPFLAGS@%$CPPFLAGS%g
1221 s%@CXXFLAGS@%$CXXFLAGS%g
1222 s%@FFLAGS@%$FFLAGS%g
1223 s%@DEFS@%$DEFS%g
1224 s%@LDFLAGS@%$LDFLAGS%g
1225 s%@LIBS@%$LIBS%g
1226 s%@exec_prefix@%$exec_prefix%g
1227 s%@prefix@%$prefix%g
1228 s%@program_transform_name@%$program_transform_name%g
1229 s%@bindir@%$bindir%g
1230 s%@sbindir@%$sbindir%g
1231 s%@libexecdir@%$libexecdir%g
1232 s%@datadir@%$datadir%g
1233 s%@sysconfdir@%$sysconfdir%g
1234 s%@sharedstatedir@%$sharedstatedir%g
1235 s%@localstatedir@%$localstatedir%g
1236 s%@libdir@%$libdir%g
1237 s%@includedir@%$includedir%g
1238 s%@oldincludedir@%$oldincludedir%g
1239 s%@infodir@%$infodir%g
1240 s%@mandir@%$mandir%g
1241 s%@CXX@%$CXX%g
1242 s%@CPP@%$CPP%g
1243
1244 CEOF
1245 EOF
1246
1247 cat >> $CONFIG_STATUS <<\EOF
1248
1249 # Split the substitutions into bite-sized pieces for seds with
1250 # small command number limits, like on Digital OSF/1 and HP-UX.
1251 ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
1252 ac_file=1 # Number of current file.
1253 ac_beg=1 # First line for current file.
1254 ac_end=$ac_max_sed_cmds # Line after last line for current file.
1255 ac_more_lines=:
1256 ac_sed_cmds=""
1257 while $ac_more_lines; do
1258 if test $ac_beg -gt 1; then
1259 sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
1260 else
1261 sed "${ac_end}q" conftest.subs > conftest.s$ac_file
1262 fi
1263 if test ! -s conftest.s$ac_file; then
1264 ac_more_lines=false
1265 rm -f conftest.s$ac_file
1266 else
1267 if test -z "$ac_sed_cmds"; then
1268 ac_sed_cmds="sed -f conftest.s$ac_file"
1269 else
1270 ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
1271 fi
1272 ac_file=`expr $ac_file + 1`
1273 ac_beg=$ac_end
1274 ac_end=`expr $ac_end + $ac_max_sed_cmds`
1275 fi
1276 done
1277 if test -z "$ac_sed_cmds"; then
1278 ac_sed_cmds=cat
1279 fi
1280 EOF
1281
1282 cat >> $CONFIG_STATUS <<EOF
1283
1284 CONFIG_FILES=\${CONFIG_FILES-"Makefile"}
1285 EOF
1286 cat >> $CONFIG_STATUS <<\EOF
1287 for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
1288 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1289 case "$ac_file" in
1290 *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1291 ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1292 *) ac_file_in="${ac_file}.in" ;;
1293 esac
1294
1295 # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
1296
1297 # Remove last slash and all that follows it. Not all systems have dirname.
1298 ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1299 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1300 # The file is in a subdirectory.
1301 test ! -d "$ac_dir" && mkdir "$ac_dir"
1302 ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
1303 # A "../" for each directory in $ac_dir_suffix.
1304 ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
1305 else
1306 ac_dir_suffix= ac_dots=
1307 fi
1308
1309 case "$ac_given_srcdir" in
1310 .) srcdir=.
1311 if test -z "$ac_dots"; then top_srcdir=.
1312 else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
1313 /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
1314 *) # Relative path.
1315 srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
1316 top_srcdir="$ac_dots$ac_given_srcdir" ;;
1317 esac
1318
1319
1320 echo creating "$ac_file"
1321 rm -f "$ac_file"
1322 configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
1323 case "$ac_file" in
1324 *Makefile*) ac_comsub="1i\\
1325 # $configure_input" ;;
1326 *) ac_comsub= ;;
1327 esac
1328
1329 ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1330 sed -e "$ac_comsub
1331 s%@configure_input@%$configure_input%g
1332 s%@srcdir@%$srcdir%g
1333 s%@top_srcdir@%$top_srcdir%g
1334 " $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
1335 fi; done
1336 rm -f conftest.s*
1337
1338 # These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
1339 # NAME is the cpp macro being defined and VALUE is the value it is being given.
1340 #
1341 # ac_d sets the value in "#define NAME VALUE" lines.
1342 ac_dA='s%^\([ ]*\)#\([ ]*define[ ][ ]*\)'
1343 ac_dB='\([ ][ ]*\)[^ ]*%\1#\2'
1344 ac_dC='\3'
1345 ac_dD='%g'
1346 # ac_u turns "#undef NAME" with trailing blanks into "#define NAME VALUE".
1347 ac_uA='s%^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
1348 ac_uB='\([ ]\)%\1#\2define\3'
1349 ac_uC=' '
1350 ac_uD='\4%g'
1351 # ac_e turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
1352 ac_eA='s%^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
1353 ac_eB='$%\1#\2define\3'
1354 ac_eC=' '
1355 ac_eD='%g'
1356
1357 if test "${CONFIG_HEADERS+set}" != set; then
1358 EOF
1359 cat >> $CONFIG_STATUS <<EOF
1360 CONFIG_HEADERS="config.h"
1361 EOF
1362 cat >> $CONFIG_STATUS <<\EOF
1363 fi
1364 for ac_file in .. $CONFIG_HEADERS; do if test "x$ac_file" != x..; then
1365 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1366 case "$ac_file" in
1367 *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1368 ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1369 *) ac_file_in="${ac_file}.in" ;;
1370 esac
1371
1372 echo creating $ac_file
1373
1374 rm -f conftest.frag conftest.in conftest.out
1375 ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1376 cat $ac_file_inputs > conftest.in
1377
1378 EOF
1379
1380 # Transform confdefs.h into a sed script conftest.vals that substitutes
1381 # the proper values into config.h.in to produce config.h. And first:
1382 # Protect against being on the right side of a sed subst in config.status.
1383 # Protect against being in an unquoted here document in config.status.
1384 rm -f conftest.vals
1385 cat > conftest.hdr <<\EOF
1386 s/[\\&%]/\\&/g
1387 s%[\\$`]%\\&%g
1388 s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%${ac_dA}\1${ac_dB}\1${ac_dC}\2${ac_dD}%gp
1389 s%ac_d%ac_u%gp
1390 s%ac_u%ac_e%gp
1391 EOF
1392 sed -n -f conftest.hdr confdefs.h > conftest.vals
1393 rm -f conftest.hdr
1394
1395 # This sed command replaces #undef with comments. This is necessary, for
1396 # example, in the case of _POSIX_SOURCE, which is predefined and required
1397 # on some systems where configure will not decide to define it.
1398 cat >> conftest.vals <<\EOF
1399 s%^[ ]*#[ ]*undef[ ][ ]*[a-zA-Z_][a-zA-Z_0-9]*%/* & */%
1400 EOF
1401
1402 # Break up conftest.vals because some shells have a limit on
1403 # the size of here documents, and old seds have small limits too.
1404
1405 rm -f conftest.tail
1406 while :
1407 do
1408 ac_lines=`grep -c . conftest.vals`
1409 # grep -c gives empty output for an empty file on some AIX systems.
1410 if test -z "$ac_lines" || test "$ac_lines" -eq 0; then break; fi
1411 # Write a limited-size here document to conftest.frag.
1412 echo ' cat > conftest.frag <<CEOF' >> $CONFIG_STATUS
1413 sed ${ac_max_here_lines}q conftest.vals >> $CONFIG_STATUS
1414 echo 'CEOF
1415 sed -f conftest.frag conftest.in > conftest.out
1416 rm -f conftest.in
1417 mv conftest.out conftest.in
1418 ' >> $CONFIG_STATUS
1419 sed 1,${ac_max_here_lines}d conftest.vals > conftest.tail
1420 rm -f conftest.vals
1421 mv conftest.tail conftest.vals
1422 done
1423 rm -f conftest.vals
1424
1425 cat >> $CONFIG_STATUS <<\EOF
1426 rm -f conftest.frag conftest.h
1427 echo "/* $ac_file. Generated automatically by configure. */" > conftest.h
1428 cat conftest.in >> conftest.h
1429 rm -f conftest.in
1430 if cmp -s $ac_file conftest.h 2>/dev/null; then
1431 echo "$ac_file is unchanged"
1432 rm -f conftest.h
1433 else
1434 # Remove last slash and all that follows it. Not all systems have dirname.
1435 ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1436 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1437 # The file is in a subdirectory.
1438 test ! -d "$ac_dir" && mkdir "$ac_dir"
1439 fi
1440 rm -f $ac_file
1441 mv conftest.h $ac_file
1442 fi
1443 fi; done
1444
1445 EOF
1446 cat >> $CONFIG_STATUS <<EOF
1447
1448 EOF
1449 cat >> $CONFIG_STATUS <<\EOF
1450
1451 exit 0
1452 EOF
1453 chmod +x $CONFIG_STATUS
1454 rm -fr confdefs* $ac_clean_files
1455 test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
1456